from parallels.core.utils.entity import Entity


class LogRotation(Entity):
    def __init__(self, log_rotation_id, period_type, period, max_number_of_log_files, compress_enable, email, turned_on):
        self._log_rotation_id = log_rotation_id
        self._period_type = period_type
        self._period = period
        self._max_number_of_log_files = max_number_of_log_files
        self._compress_enable = compress_enable
        self._email = email
        self._turned_on = turned_on

    @property
    def log_rotation_id(self):
        """
        :rtype: str | unicode
        """
        return self._log_rotation_id

    @property
    def period_type(self):
        """
        :rtype: str | unicode
        """
        return self._period_type

    @property
    def period(self):
        """
        :rtype: str | unicode
        """
        return self._period

    @property
    def max_number_of_log_files(self):
        """
        :rtype: str | unicode
        """
        return self._max_number_of_log_files

    @property
    def compress_enable(self):
        """
        :rtype: str | unicode
        """
        return self._compress_enable

    @property
    def email(self):
        """
        :rtype: str | unicode
        """
        return self._email

    @property
    def turned_on(self):
        """
        :rtype: str | unicode
        """
        return self._turned_on
